API product catalogEnterprise Governance, Security & Access
Issue OAuth client-credentials access token
Enterprise Governance, Security & Access
POST
/oauth/token
Issue OAuth client-credentials access token
Production only
createOAuthTokenIssues a short-lived Bearer token for partners that have OAuth client credentials enabled in their enterprise security policy. Provide the partner API key as the client secret via HTTP Basic auth, form body, or JSON body.
Parameters
This endpoint has no path or query parameters.
Headers
AuthorizationstringRequiredBearer sk_sandbox_<your_key> for sandbox requests.
Request body
grant_typeclient_credentialsclient_idstringOptional partner client identifier. Defaults to the authenticated key document id.
client_secretstringRequiredPartner API key used as the client secret.
scopestringSpace-delimited scopes requested for the short-lived access token.
Example: "trading:write reports:read"
Response fields
access_tokenstringExample: "ms_oauth_..."
token_typestringExample: "Bearer"
expires_inintegerExample: 900
scopestringResponse codes
200Short-lived OAuth access token.403OAuth client credentials are not enabled for this partner.